package net.androidbootcamp.agameortwo;

import android.os.Bundle;
import android.app.ListActivity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;


public class MainActivity extends ListActivity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        String[] game={"Jumble","MineSweeper"};
        
        setListAdapter(new ArrayAdapter<String>(this, 
        		R.layout.activity_main,R.id.agame,game));
    }

    protected void onListItemClick(ListView l,View v, int position, long id){
    	switch(position){
    	case 0:
    		startActivity(new Intent(MainActivity.this,Jumble.class));
    		break;
    	case 1:
    		startActivity(new Intent(MainActivity.this,Minesweeper.class));
    		break;
    	}
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }

    
}
